Subject: Re: shrinking windows with gtk 3.20

From: Eli Zaretskii <[email-masked]>
Date: Fri, 24 Mar 2017 16:35:19 +0300

> Cc: Yaakov Selkowitz <[email-masked]>, Paul Eggert <[email-masked]>,
>         Eli Zaretskii <[email-masked]>
> From: Ken Brown <[email-masked]>
> Date: Fri, 24 Mar 2017 09:01:56 -0400
> 
> Yaakov Selkowitz has pointed out that the fix for this bug on the 
> emacs-25 branch should have used the function gtk_check_version rather 
> than the macro GTK_CHECK_VERSION.  The function checks the version at 
> runtime, while the macro checks the version at build time.
> 
> The effect of using the macro is that the bug can suddenly show up after 
> a gtk update, and a rebuild of emacs with the new gtk is required.  See
> 
>    https://cygwin.com/ml/cygwin/2017-03/msg00280.html

Thanks for letting us know.

The emacs-25 branch cannot accept such changes, and the problem
doesn't exist on master.  So I guess there's nothing we should do
about this.

I wish someone we had some GTK expert on board to catch these issues
in due time...